<!DOCTYPE HTML>
<html lang="en">
<head>
<!-- Generated by javadoc (17) on Thu Oct 27 22:53:58 EEST 2022 -->
<title>S-Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-10-27">
<meta name="description" content="index: S">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html#index">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">U</a>&nbsp;<a href="index-19.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../constant-values.html">Constant&nbsp;Field&nbsp;Values</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a>
<h2 class="title" id="I:S">S</h2>
<dl class="index">
<dt><a href="../org/vtokarev/service/ScheduledUpdateRecordsService.html" class="type-name-link" title="class in org.vtokarev.service">ScheduledUpdateRecordsService</a> - Class in <a href="../org/vtokarev/service/package-summary.html">org.vtokarev.service</a></dt>
<dd>
<div class="block"><code>RoomClassService</code> class is a service layer class that implements scheduled running methods.</div>
</dd>
<dt><a href="../org/vtokarev/service/ScheduledUpdateRecordsService.html#%3Cinit%3E(org.vtokarev.dao.BookingDao,org.vtokarev.dao.RoomRequestDao,java.time.ZoneId)" class="member-name-link">ScheduledUpdateRecordsService(BookingDao, RoomRequestDao, ZoneId)</a> - Constructor for class org.vtokarev.service.<a href="../org/vtokarev/service/ScheduledUpdateRecordsService.html" title="class in org.vtokarev.service">ScheduledUpdateRecordsService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/controller/SearchRoomServlet.html" class="type-name-link" title="class in org.vtokarev.controller">SearchRoomServlet</a> - Class in <a href="../org/vtokarev/controller/package-summary.html">org.vtokarev.controller</a></dt>
<dd>
<div class="block"><code>SearchRoomServlet</code> class uses for search room functionality for GUEST and MANAGER.</div>
</dd>
<dt><a href="../org/vtokarev/controller/SearchRoomServlet.html#%3Cinit%3E()" class="member-name-link">SearchRoomServlet()</a> - Constructor for class org.vtokarev.controller.<a href="../org/vtokarev/controller/SearchRoomServlet.html" title="class in org.vtokarev.controller">SearchRoomServlet</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/tuples/Pair.html#set(A,B)" class="member-name-link">set(A, B)</a> - Method in class org.vtokarev.tuples.<a href="../org/vtokarev/tuples/Pair.html" title="class in org.vtokarev.tuples">Pair</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/tuples/Triplet.html#set(A,B,C)" class="member-name-link">set(A, B, C)</a> - Method in class org.vtokarev.tuples.<a href="../org/vtokarev/tuples/Triplet.html" title="class in org.vtokarev.tuples">Triplet</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/tuples/Pair.html#setA(A)" class="member-name-link">setA(A)</a> - Method in class org.vtokarev.tuples.<a href="../org/vtokarev/tuples/Pair.html" title="class in org.vtokarev.tuples">Pair</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/tuples/Triplet.html#setA(A)" class="member-name-link">setA(A)</a> - Method in class org.vtokarev.tuples.<a href="../org/vtokarev/tuples/Triplet.html" title="class in org.vtokarev.tuples">Triplet</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/Room.html#setAvailable(boolean)" class="member-name-link">setAvailable(boolean)</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/Room.html" title="class in org.vtokarev.domain">Room</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/tuples/Pair.html#setB(B)" class="member-name-link">setB(B)</a> - Method in class org.vtokarev.tuples.<a href="../org/vtokarev/tuples/Pair.html" title="class in org.vtokarev.tuples">Pair</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/tuples/Triplet.html#setB(B)" class="member-name-link">setB(B)</a> - Method in class org.vtokarev.tuples.<a href="../org/vtokarev/tuples/Triplet.html" title="class in org.vtokarev.tuples">Triplet</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dto/BookingDto.html#setBooking(org.vtokarev.domain.Booking)" class="member-name-link">setBooking(Booking)</a> - Method in class org.vtokarev.dto.<a href="../org/vtokarev/dto/BookingDto.html" title="class in org.vtokarev.dto">BookingDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/RoomRequest.html#setBookingId(long)" class="member-name-link">setBookingId(long)</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/RoomRequest.html" title="class in org.vtokarev.domain">RoomRequest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dto/RoomRequestDto.html#setBookingStatus(java.lang.String)" class="member-name-link">setBookingStatus(String)</a> - Method in class org.vtokarev.dto.<a href="../org/vtokarev/dto/RoomRequestDto.html" title="class in org.vtokarev.dto">RoomRequestDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/tuples/Triplet.html#setC(C)" class="member-name-link">setC(C)</a> - Method in class org.vtokarev.tuples.<a href="../org/vtokarev/tuples/Triplet.html" title="class in org.vtokarev.tuples">Triplet</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/Room.html#setCapacity(int)" class="member-name-link">setCapacity(int)</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/Room.html" title="class in org.vtokarev.domain">Room</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dto/BookingDto.html#setCapacity(int)" class="member-name-link">setCapacity(int)</a> - Method in class org.vtokarev.dto.<a href="../org/vtokarev/dto/BookingDto.html" title="class in org.vtokarev.dto">BookingDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/Booking.html#setCheckin(java.time.LocalDate)" class="member-name-link">setCheckin(LocalDate)</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/Booking.html" title="class in org.vtokarev.domain">Booking</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/RoomRequest.html#setCheckin(java.time.LocalDate)" class="member-name-link">setCheckin(LocalDate)</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/RoomRequest.html" title="class in org.vtokarev.domain">RoomRequest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/Booking.html#setCheckout(java.time.LocalDate)" class="member-name-link">setCheckout(LocalDate)</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/Booking.html" title="class in org.vtokarev.domain">Booking</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/RoomRequest.html#setCheckout(java.time.LocalDate)" class="member-name-link">setCheckout(LocalDate)</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/RoomRequest.html" title="class in org.vtokarev.domain">RoomRequest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/Room.html#setDescription(java.lang.String)" class="member-name-link">setDescription(String)</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/Room.html" title="class in org.vtokarev.domain">Room</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dto/BookingDto.html#setDescription(java.lang.String)" class="member-name-link">setDescription(String)</a> - Method in class org.vtokarev.dto.<a href="../org/vtokarev/dto/BookingDto.html" title="class in org.vtokarev.dto">BookingDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/User.html#setEmail(java.lang.String)" class="member-name-link">setEmail(String)</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/User.html" title="class in org.vtokarev.domain">User</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/User.html#setFirstName(java.lang.String)" class="member-name-link">setFirstName(String)</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/User.html" title="class in org.vtokarev.domain">User</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/RoomRequest.html#setGuestNotes(java.lang.String)" class="member-name-link">setGuestNotes(String)</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/RoomRequest.html" title="class in org.vtokarev.domain">RoomRequest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/Booking.html#setId(long)" class="member-name-link">setId(long)</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/Booking.html" title="class in org.vtokarev.domain">Booking</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/Room.html#setId(long)" class="member-name-link">setId(long)</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/Room.html" title="class in org.vtokarev.domain">Room</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/RoomClass.html#setId(long)" class="member-name-link">setId(long)</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/RoomClass.html" title="class in org.vtokarev.domain">RoomClass</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/RoomRequest.html#setId(long)" class="member-name-link">setId(long)</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/RoomRequest.html" title="class in org.vtokarev.domain">RoomRequest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/User.html#setId(long)" class="member-name-link">setId(long)</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/User.html" title="class in org.vtokarev.domain">User</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dto/RoomEditDto.html#setImages(java.util.List)" class="member-name-link">setImages(List&lt;String&gt;)</a> - Method in class org.vtokarev.dto.<a href="../org/vtokarev/dto/RoomEditDto.html" title="class in org.vtokarev.dto">RoomEditDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dto/RoomSearchDto.html#setImages(java.util.List)" class="member-name-link">setImages(List&lt;String&gt;)</a> - Method in class org.vtokarev.dto.<a href="../org/vtokarev/dto/RoomSearchDto.html" title="class in org.vtokarev.dto">RoomSearchDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/User.html#setLastName(java.lang.String)" class="member-name-link">setLastName(String)</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/User.html" title="class in org.vtokarev.domain">User</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/RoomRequest.html#setManagerNotes(java.lang.String)" class="member-name-link">setManagerNotes(String)</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/RoomRequest.html" title="class in org.vtokarev.domain">RoomRequest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/Room.html#setName(java.lang.String)" class="member-name-link">setName(String)</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/Room.html" title="class in org.vtokarev.domain">Room</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/RoomClass.html#setName(java.lang.String)" class="member-name-link">setName(String)</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/RoomClass.html" title="class in org.vtokarev.domain">RoomClass</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/Room.html#setNumber(java.lang.String)" class="member-name-link">setNumber(String)</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/Room.html" title="class in org.vtokarev.domain">Room</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/User.html#setPassword(java.lang.String)" class="member-name-link">setPassword(String)</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/User.html" title="class in org.vtokarev.domain">User</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/tag/FormatLocalDateTime.html#setPattern(java.lang.String)" class="member-name-link">setPattern(String)</a> - Method in class org.vtokarev.tag.<a href="../org/vtokarev/tag/FormatLocalDateTime.html" title="class in org.vtokarev.tag">FormatLocalDateTime</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/RoomRequest.html#setPersonsNumber(int)" class="member-name-link">setPersonsNumber(int)</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/RoomRequest.html" title="class in org.vtokarev.domain">RoomRequest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/Booking.html#setPrice(double)" class="member-name-link">setPrice(double)</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/Booking.html" title="class in org.vtokarev.domain">Booking</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/Room.html#setPrice(double)" class="member-name-link">setPrice(double)</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/Room.html" title="class in org.vtokarev.domain">Room</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/RoomRequest.html#setRegDate(java.time.Instant)" class="member-name-link">setRegDate(Instant)</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/RoomRequest.html" title="class in org.vtokarev.domain">RoomRequest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/User.html#setRegDate(java.time.Instant)" class="member-name-link">setRegDate(Instant)</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/User.html" title="class in org.vtokarev.domain">User</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dto/RoomEditDto.html#setRoom(org.vtokarev.domain.Room)" class="member-name-link">setRoom(Room)</a> - Method in class org.vtokarev.dto.<a href="../org/vtokarev/dto/RoomEditDto.html" title="class in org.vtokarev.dto">RoomEditDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dto/RoomSearchDto.html#setRoom(org.vtokarev.domain.Room)" class="member-name-link">setRoom(Room)</a> - Method in class org.vtokarev.dto.<a href="../org/vtokarev/dto/RoomSearchDto.html" title="class in org.vtokarev.dto">RoomSearchDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dto/RoomEditDto.html#setRoomClass(org.vtokarev.domain.RoomClass)" class="member-name-link">setRoomClass(RoomClass)</a> - Method in class org.vtokarev.dto.<a href="../org/vtokarev/dto/RoomEditDto.html" title="class in org.vtokarev.dto">RoomEditDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/Room.html#setRoomClassId(long)" class="member-name-link">setRoomClassId(long)</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/Room.html" title="class in org.vtokarev.domain">Room</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/RoomRequest.html#setRoomClassId(long)" class="member-name-link">setRoomClassId(long)</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/RoomRequest.html" title="class in org.vtokarev.domain">RoomRequest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dto/BookingDto.html#setRoomClassName(java.lang.String)" class="member-name-link">setRoomClassName(String)</a> - Method in class org.vtokarev.dto.<a href="../org/vtokarev/dto/BookingDto.html" title="class in org.vtokarev.dto">BookingDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dto/RoomRequestDto.html#setRoomClassName(java.lang.String)" class="member-name-link">setRoomClassName(String)</a> - Method in class org.vtokarev.dto.<a href="../org/vtokarev/dto/RoomRequestDto.html" title="class in org.vtokarev.dto">RoomRequestDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dto/RoomSearchDto.html#setRoomClassName(java.lang.String)" class="member-name-link">setRoomClassName(String)</a> - Method in class org.vtokarev.dto.<a href="../org/vtokarev/dto/RoomSearchDto.html" title="class in org.vtokarev.dto">RoomSearchDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/Booking.html#setRoomId(long)" class="member-name-link">setRoomId(long)</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/Booking.html" title="class in org.vtokarev.domain">Booking</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dto/BookingDto.html#setRoomName(java.lang.String)" class="member-name-link">setRoomName(String)</a> - Method in class org.vtokarev.dto.<a href="../org/vtokarev/dto/BookingDto.html" title="class in org.vtokarev.dto">BookingDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dto/BookingDto.html#setRoomNumber(java.lang.String)" class="member-name-link">setRoomNumber(String)</a> - Method in class org.vtokarev.dto.<a href="../org/vtokarev/dto/BookingDto.html" title="class in org.vtokarev.dto">BookingDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dto/RoomRequestDto.html#setRoomRequest(org.vtokarev.domain.RoomRequest)" class="member-name-link">setRoomRequest(RoomRequest)</a> - Method in class org.vtokarev.dto.<a href="../org/vtokarev/dto/RoomRequestDto.html" title="class in org.vtokarev.dto">RoomRequestDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dto/RoomSearchDto.html#setStatus(java.lang.String)" class="member-name-link">setStatus(String)</a> - Method in class org.vtokarev.dto.<a href="../org/vtokarev/dto/RoomSearchDto.html" title="class in org.vtokarev.dto">RoomSearchDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/Booking.html#setStatus(org.vtokarev.domain.BookingStatus)" class="member-name-link">setStatus(BookingStatus)</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/Booking.html" title="class in org.vtokarev.domain">Booking</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/RoomRequest.html#setStatus(org.vtokarev.domain.RoomRequestStatus)" class="member-name-link">setStatus(RoomRequestStatus)</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/RoomRequest.html" title="class in org.vtokarev.domain">RoomRequest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/Booking.html#setStatusChanged(java.time.Instant)" class="member-name-link">setStatusChanged(Instant)</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/Booking.html" title="class in org.vtokarev.domain">Booking</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dto/BookingDto.html#setTimeLeft(java.lang.String)" class="member-name-link">setTimeLeft(String)</a> - Method in class org.vtokarev.dto.<a href="../org/vtokarev/dto/BookingDto.html" title="class in org.vtokarev.dto">BookingDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dto/RoomRequestDto.html#setUserEmail(java.lang.String)" class="member-name-link">setUserEmail(String)</a> - Method in class org.vtokarev.dto.<a href="../org/vtokarev/dto/RoomRequestDto.html" title="class in org.vtokarev.dto">RoomRequestDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dto/RoomRequestDto.html#setUserFirstName(java.lang.String)" class="member-name-link">setUserFirstName(String)</a> - Method in class org.vtokarev.dto.<a href="../org/vtokarev/dto/RoomRequestDto.html" title="class in org.vtokarev.dto">RoomRequestDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/Booking.html#setUserId(long)" class="member-name-link">setUserId(long)</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/Booking.html" title="class in org.vtokarev.domain">Booking</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/RoomRequest.html#setUserId(long)" class="member-name-link">setUserId(long)</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/RoomRequest.html" title="class in org.vtokarev.domain">RoomRequest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/User.html#setUserRole(org.vtokarev.domain.UserRole)" class="member-name-link">setUserRole(UserRole)</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/User.html" title="class in org.vtokarev.domain">User</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/tag/FormatLocalDateTime.html#setValue(java.time.Instant)" class="member-name-link">setValue(Instant)</a> - Method in class org.vtokarev.tag.<a href="../org/vtokarev/tag/FormatLocalDateTime.html" title="class in org.vtokarev.tag">FormatLocalDateTime</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/tag/FormatLocalDateTime.html#setZoneOffset(java.lang.String)" class="member-name-link">setZoneOffset(String)</a> - Method in class org.vtokarev.tag.<a href="../org/vtokarev/tag/FormatLocalDateTime.html" title="class in org.vtokarev.tag">FormatLocalDateTime</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/service/UserService.html#sha3_256Hex(java.lang.String)" class="member-name-link">sha3_256Hex(String)</a> - Method in class org.vtokarev.service.<a href="../org/vtokarev/service/UserService.html" title="class in org.vtokarev.service">UserService</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">U</a>&nbsp;<a href="index-19.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../constant-values.html">Constant&nbsp;Field&nbsp;Values</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a></main>
</div>
</div>
</body>
</html>
